> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pre-adverse action for case

> Begins the adverse action process for a case by putting the case into the Pre-Adverse Action status. This also sends a pre-adverse action notice to the candidate by email, which can also be downloaded from both the customer and candidate dashboards.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json post /case/id/{caseId}/action/preadverse
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/action/preadverse:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The ID of the case to to begin an adverse action process on.
    post:
      tags:
        - Cases
      summary: Pre-adverse action for case
      description: >-
        Begins the adverse action process for a case by putting the case into
        the Pre-Adverse Action status. This also sends a pre-adverse action
        notice to the candidate by email, which can also be downloaded from both
        the customer and candidate dashboards.
      operationId: post-case-id-caseId-action-preadverse
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  reason: The candidate was positive for cocaine in his drug test.
                  adverseScreeningSelections:
                    - service-drug-1200-panel
              properties:
                reason:
                  type: string
                  description: >-
                    An explanation of why the adverse action process is being
                    initiated for the case.
                adverseScreeningSelections:
                  type: array
                  description: >-
                    A list of specific `serviceId`s whose results give some
                    basis to begin the adverse action process for the case.
                  items:
                    type: string
            examples:
              Example 1:
                value:
                  reason: The candidate was positive for cocaine in his drug test.
                  adverseScreeningSelections:
                    - service-drug-1200-panel
        description: >-
          The request body is optional, but if provided, note that the values in
          the `reason` and `adverseScreeningSelections` fields will be visible
          to the candidate in the pre-adverse action notice. This is to give an
          indication of the reason and specific screenings for which the action
          is being taken.
      responses:
        '200':
          description: OK
        '403':
          description: >-
            This response indicates that you don't have an authentication token,
            that you have insufficient permissions, or that the `caseId`
            provided was not found.
        '404':
          description: The `caseId` provided was not found.
        '422':
          description: >-
            This response indicates that the case cannot be put into Pre-Adverse
            Action. This is likely because the case is not in a complete state
            (which would require that all screenings have gone into some kind of
            complete status, whether clear or with records found).
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````